Download an attachment
curl --request GET \
--url https://api.devin.ai/v1/attachments/{uuid}/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v1/attachments/{uuid}/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v1/attachments/{uuid}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Session Endpoints
Download an attachment
Download attachment files that were previously uploaded. Returns a redirect to a presigned URL for secure file access.
GET
/
v1
/
attachments
/
{uuid}
/
{name}
Download an attachment
This endpoint allows you to download files from a Devin session. If you want to upload resources, you should use the upload endpoint.
The endpoint returns a 307 redirect to a presigned URL that provides temporary access to the file. The presigned URL is valid for 60 seconds.
Example Usage
import requests
# Download an attachment
response = requests.get(
f"https://api.devin.ai/v1/attachments/{uuid}/{filename}",
headers={"Authorization": f"Bearer {DEVIN_API_KEY}"},
allow_redirects=True
)
# Save the file content
with open(filename, "wb") as f:
f.write(response.content)
⌘I

